<?php

// make tutorial page of this.
//add_action('customize_register', 'hide_page_title_section');

function hide_page_title_section($wp_customize) {
    $wp_customize->add_section('hide_page_title_section', array(
        'title' => __('Hide Page Title', 'sophia-valeria'),
        'description' => 'Hide Page Title',
        'priority' => 30,

    ));

    $wp_customize->add_setting('hide_page_title_setting', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_check_box',
        'capability' => 'edit_theme_options',
        'transport' => 'refresh',


    ));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'hide_page_title_setting', array(
        'label' => __('Hide Page Title', 'sophia-valeria'),
        'section' => 'hide_page_title_section',
        'settings' => 'hide_page_title_setting',
        'type' => 'checkbox'

    )));
}


//sanitize checkbox
function sanitize_check_box($checked) {
    return ( ( isset($checked) && true == $checked ) ? true : false );
}






//add function that removes page title through get_theme_mod and .entry-title
function understanding_hide_page_title() {
if(get_theme_mod('hide_page_title_setting')) {
    if (is_page()) {
        ?>
        <style>
            .entry-title {
                display: none;
            }
        </style>
        <?php
    }
    }

}

add_action( 'wp_head', 'understanding_hide_page_title' );




