<?php

//add to site identity section ability to change site title font
    function sv_customize_register_sitefont( $wp_customize ) {
        // Add setting
        $wp_customize->add_setting( 'site_title_font', array(
            'default'   => '',
            'transport' => 'refresh',
            'sanitize_callback' => 'sv_sanitize_font',
        ) );
    
        // Add control
        $wp_customize->add_control( 'site_title_font', array(
            'label'      => __( 'Site Title Font', 'sophia-valeria' ),
            'section'    => 'title_tagline', // Site Identity section
            'settings'   => 'site_title_font',
            'type'       => 'select',
            'choices'    => array(
                'acumin-pro' => 'Acumin Pro',
                'philosopher' => 'Philosopher',
                'courier'   => 'Courier New',
                'georgia'   => 'Georgia',
                'palatino'  => 'Palatino',
                'garamond'  => 'Garamond',
                'avantgarde'=> 'Avant Garde',
                'verdana'   => 'Verdana',
                'impact'    => 'Impact',
                'helvetica' => 'Helvetica',
                'times'     => 'Times New Roman',
          
            ),
        ) );

        function sv_sanitize_font( $input ) {
            $valid = array(
                'acumin-pro' => 'Acumin Pro',
                'philosopher' => 'Philosopher',
                'courier'   => 'Courier New',
                'georgia'   => 'Georgia',
                'palatino'  => 'Palatino',
                'garamond'  => 'Garamond',
                'avantgarde'=> 'Avant Garde',
                'verdana'   => 'Verdana',
                'impact'    => 'Impact',
                'helvetica' => 'Helvetica',
                'times'     => 'Times New Roman',
            );
        
            if ( array_key_exists( $input, $valid ) ) {
                return $input;
            } else {
                return '';
            }
        }




    }
    add_action( 'customize_register', 'sv_customize_register_sitefont' );
    
    
    function sv_customizer_css_sitefont() {
        $font = get_theme_mod( 'site_title_font', 'sophia-valeria' );
        if ( $font ) {
        echo '<style type="text/css">';
        echo '.site-title, .sv-site-title { font-family: ' . esc_attr( $font ) . ' !important; }';
        echo '</style>';
        }
    }
    add_action( 'wp_head', 'sv_customizer_css_sitefont' );