<?php

function sv_header_info_section($wp_customize){
    $wp_customize->add_section('sv_header_info_section', array(
        'title' => 'FILL THIS OUT',
        'priority' => 01,
        'description' => 'Fill this out completely, even if you don"t think you"ll need the setting, and you will experience the full power of the header changer app. ',
    ));

      
        $wp_customize->add_setting('sv_header_info_setting', array(
          'default' => '',
          'transport' => 'refresh',
          'type' => 'theme_mod',
          'sanitize_callback' => 'sv_sanitize_header_skin',
        ));
      
        $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'sv_header_info_setting', array(
          'label' => 'Header Skin',
          'section' => 'sv_header_info_section',
          'settings' => 'sv_header_info_setting',
          'type' => 'radio',
          'choices' => array(
            'light' => 'Light',
            'dark' => 'Dark',
            'cityscape' => 'Custom Background',
            'experimental' => 'Experimental',
            'double_header' => 'Double Header',
            'salon' => 'Salon',
            'standard' => 'Standard', // Add the new standard header option here
            '' => 'Default',
          ),
        )));
    }

        add_action('customize_register', 'sv_header_info_section');