// Get all image blocks on the page.
let images = document.querySelectorAll('.wp-block-image');

// Create a new IntersectionObserver object.
let observer = new IntersectionObserver(function(entries) {
  // For each image block that is intersecting the viewport, add the 'reveal' class to the image.
  entries.forEach(function(entry) {
    if (entry.isIntersecting) {
      let image = entry.target.querySelector('img');
      image.classList.add('reveal');
      observer.unobserve(entry.target);
    }
  });
});

// Observe all image blocks on the page.
images.forEach(function(image) {
  observer.observe(image);
});










/*

// Get all image blocks on the page.
let images = document.querySelectorAll('.wp-block-image');


// Create a new IntersectionObserver object.
let observer = new IntersectionObserver(function(entries) {
  // For each image block that is intersecting the viewport, add the 'reveal' class to the image.
  entries.forEach(function(entry) {
    if (entry.isIntersecting) {
      let image = entry.target.querySelector('img');
      image.classList.add('reveal');
      observer.unobserve(entry.target);
    }
  });
});

// Observe all image blocks on the page.
images.forEach(function(image) {
  observer.observe(image);
});

*/